
QGIS Application - Bug report #18532

GeoPackage features with booleans cannot be copy&paste to PostgreSQL

2018-03-25 06:53 AM - gcarrillo -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: GNU/Linux (Linux Mint based on Ubuntu Xenial)Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26420

Description

GeoPackage stores booleans as integers, so a False is a 0 in GPKG.

When copying and pasting features with booleans from GPKG to PostgreSQL, the latter receives an integer and complains, not allowing

to complete the operation.

History

#1 - 2018-12-17 11:11 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with current master - this should be fixed

#2 - 2019-02-24 01:24 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
